---
title: Bonjour
date: 2022-11-21
---

Je suis heureux de vous présenter aujourd'hui ma dernière expérimentation. Je suis un adepte de blogs, des choses simples et du [Fédiverse](https://fr.wikipedia.org/wiki/Fediverse), j'ai donc assez naturellement eu envie de lier un peu tout ça.

J'ai découvert [Plume](https://joinplu.me/), un logiciel permettant de faire des blogs liés au Fediverse en 2020. Le concept est génial, les blogs pour lesquels il est possible d'interagir avec l'auteurice de l'article permettent de préciser le contenu, apporter un point de vue contradictoire et amener à la discussion et même améliorer le contenu, mais souvent ces systèmes reposent soit sur un service propriétaire et centralisé tel que [Disqus](https://disqus.com/) ou obligent à créer un compte sur chacun des blogs pour lesquels nous souhaitons intéragir. Pouvoir intéragir avec son compte Mastodon, c'est tout ce qu'il manquait. Seulement voilà, Plume n'est plus maintenu, il existe bien d'autres logiciels qui proposent quelque chose de similaire mais aucune ne me satisfait réellement, et puis je me demande s'il est vraiment nécessaire de faire tourner tout un service fédéré juste pour faire tourner un blog quand il existe d'existe d'excellent générateurs de sites statiques et qu'on utilise déjà un compte Mastodon pour faire la promo/l'annonce de son dernier article de blog, ne serait-il pas possible d'utiliser son propre compte Mastodon, celui avec lequel nous intéragissont déjà avec notre communauté pour afficher des interactions sur notre article ?

Pour celleux qui ne sont pas au courant, j'ai écrit il y a quelques temps [Mastogem](gemini://vps01.rdelaage.ovh), un logiciel qui permet d'accéder à du contenu public sur le Fédiverse depuis [Gemini](https://fr.wikipedia.org/wiki/Gemini_(protocole)) (une sorte de web en plus sobre, plus calme). Pour écrire ce logiciel j'ai utilise l'[API web](https://fr.wikipedia.org/wiki/Interface_de_programmation) de Mastodon. Une API est une interface qui permet à des logiciels de communiquer ensemble, en l'occurence de récupérer les informations d'un post du Fédiverse et ses interactions depuis une instance Mastodon. Je me suis dis que je pouvais réutiliser ce principe pour l'intégrer sur un blog, en plus comme l'API en question utilise le web pour communiquer on peut laisser le client faire le travail et ainsi garder quelque chose de très simple côté serveur (un site statique, quasiment pas de traitement).

Je me lance donc dans l'écriture du projet, le résultat est le site que vous avez devant vos yeux. Il s'agit d'un simple site statique généré à l'aide de [Hugo](https://gohugo.io/). Il n'y a besoin d'effectuer un traitement que quand l'auteurice du blog souhaite ajouter ou modifier du contenu.

Je ne voulais pas forcer l'utilisateurice à effectuer des communications avec l'instance Mastodon qu'ielle ne souhaitait pas, c'est pour cela que par défaut en naviguant sur le blog, les interactions ne sont pas affichées. Le système proposé nécessite l'exécution de code JavaScript pour fonctionner, certaines utilisateurices ne souhaitent pas exécuter de code JavaScript, dans ce cas il ne sera pas possible d'afficher d'interaction mais la fonction première du site restera disponible, à savoir lire les articles.

Bon, mon système n'est pas parfait, notamment il faut continuer à renseigner manuellement le post Mastodon à lier à notre article pour activer les interactions, donc créer un post puis ajouter les informations nécessaires à l'article, la simplicité a un coup. S'il y a besoin de faire de la modération dans les commentaires (contenu offensant, spam, ...) vous êtes dépendant de la modération de l'instance Mastodon utilisée, ça peut vous motiver à monter votre propre instance ;).

Cet article ne propose pas d'interactions, mais le second article de ce blog (un article de test uniquement) propose de voir ce mécanisme en action.
